﻿local zone
if GetLocale == "koKR" then -- some bugfix for korean
	zone = "십자군의 시험장"
else
	zone = BZ["Trial of the Crusader"] 
end 

local colorTable = {	
	["dark_5"] = {r = .1, g = .1, b = .1, a = .5},
	["light_5"] = {r = 1, g = 1, b = 1, a = .5},
}

--zone, debuffID, order, duration, stackable, color, disable, auraCheck

--<< Beast of Northrend >> 
--Gormok the Impaler
GridStatusRaidDebuff:RegisterMenuHeader(zone, 10, BB["Gormok the Impaler"])
GridStatusRaidDebuff:RegisterDebuff(zone, 66331, 11, 30, true) --Impale(10)
GridStatusRaidDebuff:RegisterDebuff(zone, 67477, 12, 40, true) --Impale(25)
GridStatusRaidDebuff:RegisterDebuff(zone, 66683, 13) --Massive Crash(Normal)
GridStatusRaidDebuff:RegisterDebuff(zone, 66406, 14, nil, false, nil, false, true) --Snowbolled!_not event

--Acidmaw --Dreadscale
GridStatusRaidDebuff:RegisterMenuHeader(zone, 20, BB["Jormungar Behemoth"])
GridStatusRaidDebuff:RegisterDebuff(zone, 67618, 23, 60) --Paralytic Toxin(25)
GridStatusRaidDebuff:RegisterDebuffDelegater(zone, 67618, 66823) --Paralytic Toxin(10)
GridStatusRaidDebuff:RegisterDebuff(zone, 66869, 24, 24) --Burning Bile

--Icehowl
GridStatusRaidDebuff:RegisterMenuHeader(zone, 30, BB["Icehowl"])
GridStatusRaidDebuff:RegisterDebuff(zone, 67654, 31) --Ferocious Butt(25)
GridStatusRaidDebuff:RegisterDebuffDelegater(zone, 67654, 66770) --Ferocious Butt(10)
GridStatusRaidDebuff:RegisterDebuff(zone, 66689, 32, 5) --Arctic Breathe(10)
GridStatusRaidDebuff:RegisterDebuffDelegater(zone, 66689, 67650)--Arctic Breathe(25)

--The Twin Val'kyr
GridStatusRaidDebuff:RegisterMenuHeader(zone, 40, BB["The Twin Val'kyr"])
GridStatusRaidDebuff:RegisterDebuff(zone, 67176, 41, nil, true, colorTable["dark_5"], true) --Dark Essence (stack on : for bg color)
GridStatusRaidDebuff:RegisterDebuff(zone, 67223, 42, nil, true, colorTable["light_5"], true) --Light Essence (stack on : for bg color)
GridStatusRaidDebuff:RegisterDebuff(zone, 67283, 43) --Dark Touch
GridStatusRaidDebuff:RegisterDebuff(zone, 67298, 44) --Ligth Touch

--Lord Jaraxxus
GridStatusRaidDebuff:RegisterMenuHeader(zone, 50, BB["Lord Jaraxxus"])
GridStatusRaidDebuff:RegisterDebuff(zone, 67049, 51, 12) --Incinerate Flesh(10)
GridStatusRaidDebuff:RegisterDebuffDelegater(zone, 67049, 67051) --Incinerate Flesh(25)
GridStatusRaidDebuff:RegisterDebuff(zone, 67045, 52, 15) --Fel Inferno
GridStatusRaidDebuff:RegisterDebuff(zone, 68125, 53, 6) --LegionFlame

--Anub'arak
GridStatusRaidDebuff:RegisterMenuHeader(zone, 60, BB["Anub'arak"])
GridStatusRaidDebuff:RegisterDebuff(zone, 67574, 61) --Pursued by Anub'arak

